-- $Name:Испытание Марсом$
-- $Version: 0.04$
-- $Author: Irremann$

require "mp-ru"
require "fmt"
require "snd"

global { -- определение глобальных переменных
	q1 = 0; --исправить на 0
	q2 = 0;
	cablein = 'Кабель ни к чему не подлючён.';
	rover = 'Вездеход стоит возле большого купола.';
};

game.dsc = '^Сегодня 423 сол 102 года от первой посадки. Самое начало весны, но уже довольно тепло. У подножия скалы я нашёл отличную колонию лишайника. Нужно взять образец. Так, где мои инструменты?';
--20.07.1976 Викинг-1 первая рабочая станция на Марсе, цветные снимки и исследования почвы и атмосферы.

function init()
	snd.music 'theme/nebula.ogg'
	mp.autohelp = true;
	mp.togglehelp = true;
	pl.word = -"я/мр,1л";
	pl.description = 'На мне плотный комбинезон с подогревом. Половину лица закрывает дыхательная маска. На поясе висит пара приспособлений и баллон с кислородом. На бедре закреплена сумка.';
	take 'Скребок';
	take 'Пробирка';
	take 'Сумка';
	take 'Баллон';
	take 'Комбинезон';
	take 'Инструменты';
	take 'Молоток';
	--mp.autohelp_limit = 8
	--mp.compl_thresh = 1
end;

room {
	nam = 'main';
	title = 'Скалы';
	dsc = 'Вокруг меня несколько скальных столбов, результат выветривания. У их подножия на куче обломков жёлтые пятна лишайника. На востоке менее чем в километре - одна из станций наблюдения.';
	obj = {'Лишайник', 'Скалы', 'Всё'};
	hint_verbs = { "#Scratch" };
	e_to = function()
		if q1 == 0 then
			return false;
		else
			walk 'Снаружи станции';
		end;
	end;
	cant_go = function()
		if q1 == 0 then
			p 'Сначала мне нужно взять небольшой образец лишайника. Зря я что ли сюда шёл?';
		else
			p 'Станция находится на востоке от меня. В остальных направлениях только пустоши Марса.';
		end;
	end;
};

obj {
	-"сумка";
	nam = 'Сумка';
	description = function(s)
		p 'На бедре у меня закреплена сумка со множеством ячеек, часть из них уже заполнена.';
		mp:content(s)
	end;
	found_in = 'Комбинезон';
}: attr 'container,open,openable'

obj {
	-"баллон, баллон с кислородом";
	nam = 'Баллон';
	found_in = 'Комбинезон';
	description = 'Это мой запас кислорода. Шланг от баллона ведет в хитрую систему в маске. Где кислород смешивается в нужной пропорции с другими газами, в основном азотом.';
	before_Drop = 'Если я сейчас отключу баллон, то мне нечем будет дышать. Атмосфера Марса пока всё ещё состоит большей частью из углекислого газа.';
	before_Attack = 'Если я поврежу баллон, то мне нечем будет дышать.';
}

obj {
	-"комбинезон";
	nam = 'Комбинезон';
	description = 'Плотный комбинезон с системой подогрева. Обычная одежда для выходов наружу.';
	before_Disrobe = 'Раздеваться снаружи не очень разумно. Всё-таки прохладно еще. И ветерок такой ещё, с песочком. Брр.';
}: attr 'clothing,worn'

obj {
	-"скребок";
	nam = 'Скребок';
	description = 'Это небольшой изогнутый инструмент из нержавейки. Довольно острый. Нужен для соскребания образцов с камней, на которых они обычно растут.';
}

obj {
	-"молоток";
	nam = 'Молоток';
	description = 'Небольшой молоток из нержавейки. Использую его для раскалывания интересных камней.';
}

obj {
	-"инструменты|приспособления|пояс";
	nam = 'Инструменты';
	found_in = 'Комбинезон';
	description = 'На поясе, как обычно, висят мои лучшие друзья: скребок и молоток.';
}

obj {
	-"пробирка";
	nam = 'Пробирка';
	description = 'Это небольшая ёмкость из закалённого стекла.';
}: attr 'container,open'

obj {
	-"образцы";
	nam = 'Образцы';
	found_in = 'Сумка';
	description = 'Моя коллекция из различной растительности, в основном конечно лишайники разных видов. Когда я доберусь до лаборатории их ДНК будут внимательно мною изучены на наличие нежелательных мутаций.';
}

obj {
	-"лишайник|образец";
	nam = 'Лишайник';
	description = 'Pleopsidium chlorophanum - этот лишайник один из нескольких видов, которые чувствовали себя на Марсе как дома. Впрочем неудивительно, на Земле он растет в сухих высокогорных долинах Антарктиды. Обычно я соскребаю немного для дальнейших исследований.';
	Scratch = function()
		if q1 == 0 then
			p 'Я соскрёб немного жёлтых пузырьков этого лишайника в пробирку и убрал образец в сумку к остальным.^До меня донёсся какой-то хлопок. Хм, странно, что это может быть?';
			q1 = 1;
		else
			p 'Я уже взял образец этого лишайника.';
		end;
	end;
	before_Attack = 'Лучше скребком соскрести, я думаю.';
}:attr 'scenery'

obj {
	-"скалы|столбы|скала|обломки";
	nam = 'Скалы';
	description = 'Вокруг меня скалы, образующие укромное место для экспериментальной площадки для моих лишайников.';
	before_Attack = 'Я расколол пару камней, но не нашёл более ничего интересного.';
}:attr 'scenery'

Verb {
	"#Scratch",
	"[ |по|со]скре/сти",
	"{noun}/вн,scene : Scratch",
	"{noun}/тв,held {noun}/им,scene : Scratch reverse",
	"~ {noun}/им,scene {noun}/тв,held : Scratch",
}

function mp:Scratch(w,s)
	s = s or _'Скребок'
end

obj {
	-"все";
	nam = 'Всё';
	description = 'Всё -- это бытие. А бытие определяет сознание.';
	before_Take = 'Я столько не унесу.';
	before_Scratch = 'Я не смогу поскрести всё за данное мне время, вероятно стоит сосредоточиться на лишайнике.';
	before_Realize = 'Всё -- это бытие. И только выяснение сущности человеческого бытия раскрывает сущность бытия.';
}:attr 'scenery'

Verb {
	"#Realize",
	"осознать, обдумать",
	"{noun}/вн,scene : Realize",
}

function mp:Realize(s)
	s = _'Всё'
end

obj {
	-"Солнце",
	found_in = {'main', 'Снаружи станции', 'На крыше'};
	before_Default = function(s, ev)
		if ev == 'Exam' then
			return false
		end
		p 'Солнце слишком далеко.';
	end;
	description = 'Солнце уже клонится к закату. Небо начинает наливаться синевой.';
}:attr 'scenery';

obj {
	-"небо",
	found_in = {'main', 'Снаружи станции', 'На крыше'};
	before_Default = function(s, ev)
		if ev == 'Exam' then
			return false
		end
		p 'Небо слишком далеко.';
	end;
	description = 'Небо на Марсе обычно красноватое или желтое в пыльную бурю. Но иногда вечером, как сейчас, наливается синевой. Почти как на Земле.';
}:attr 'scenery';

obj {
	-"обломки",
	found_in = {'Снаружи станции', 'Внутри большого купола'};
	description = 'Обломки металла и бетона. Похоже что в переход что-то врезалось с большой скоростью.';
	before_Attack = 'Тут экскаватор нужен, а у меня есть только молоток.';
}:attr 'scenery';

room {
	nam = 'Снаружи станции';
	onenter = function(s)
		if visits(s) == 0 then
			p 'На подходе к станции я понял, что тут явно что-то случилось. В переходе между куполами было что-то неправильное. Марина, что с ней? Я попытался вызвать её, но получил только шипение в наушнике в ответ. Я ускорил шаг и вскоре был у станции.';
		end;
	end;
	dsc = 'Я стою около станции. Рядом с куполом стоит наш вездеход.';
	obj = {'Станция', 'Вездеход', 'Антенна', 'Шлюз', 'Розетка'};
	in_to = 'Внутри большого купола';
	cant_go = function(s, to)
		if to == 'w_to' then
			p 'На западе каньон выходит в Лабиринт Ночи. Там находится космодром и станция Кеплер, которую уже часто называют первым городом на Марсе. Но пешком конечно я никуда далеко не уйду. Для путешествия нужен вездеход.';
		elseif to == 'e_to' then
			p 'На восток рассщелины выводят в регион Хриса. Когда-нибудь там заплещется море и будут плавать корабли. Но пешком конечно я никуда далеко не уйду. Для путешествия нужен вездеход.';
		else
			p 'В лучах заходящего солнца я вижу отвесные стены великой долины Маринера. Это совершенно непреодолимое препятствие.';
		end;
	end;
};

obj {
	-"станция|купол";
	nam = 'Станция';
	description = 'Станция состоит из двух куполов соединённых переходом. В большем куполе находится входной шлюз, всякая подсобная техника, восстановитель кислорода и всё-такое. В меньшем куполе средства связи, запасы кислорода и пара гамаков, в которых мы обычно спим. На нём же установлена антенна дальней связи. Переход между куполами выглядит каким-то смятым, вокруг лежат обломки.';
	door_to = 'Внутри большого купола';
	before_Enter = function(s)
		move(me(), 'Внутри большого купола');
	end;
}:attr 'open,scenery';

obj {
	-"шлюз";
	nam = 'Шлюз';
	description = 'Шлюз разблокирован. Можно идти внутрь. У входа есть розетка.';
	door_to = 'Внутри большого купола';
	before_Enter = function(s)
		move(me(), 'Внутри большого купола');
	end;
}:attr 'open,scenery';

obj {
	-"розетка",
	nam = 'Розетка';
	description = 'Стандартный магнитный разъем, по привычке всеми называемый "розеткой", хотя от "вилки" он ничем не отличается.';
}:attr 'scenery';

obj {
	-"антенна",
	nam = 'Антенна';
	before_Default = function(s, ev)
		if ev == 'Exam' then
			return false
		end
		p 'Отсюда никак не получится.';
	end;
	description = 'Антенна выглядит неповрежденной.';
}:attr 'scenery';

obj {
	-"вездеход",
	nam = 'Вездеход';
	description = function()
		p('Массивная шестиколёсная машина. Сейчас он на подзарядке, солнечные батареи на крыше понемногу наполняют аккумулятор вездехода. '..rover);
	end;
	door_to = 'Внутри вездехода';
	before_Enter = function(s)
		move(me(), 'Внутри вездехода');
	end;
}:attr 'open,scenery';

obj {
	-"батареи, солнечные батареи",
	nam = 'Солнечные батареи';
	description = 'Я протирал батареи от пыли пару дней назад и они всё ещё достаточно чистые.';
}:attr 'scenery';

room {
	nam = 'Внутри вездехода';
	onenter = 'Я залез в вездеход.';
	dsc = 'Внутри кабины четыре сиденья и приборная панель. В потолке есть люк для доступа к солнечным батареям. Прямо по курсу через обзорное стекло виден малый купол станции, на нём торчит антенна дальней связи.';
	obj = {'Сиденья', 'Панель', 'Малый купол', 'Антенна', 'Радио'};
	hint_verbs = { "#Drive" };
	out_to = 'Снаружи станции';
	u_to = 'На крыше';
	before_Walk = function(s, w)
		if mp:compass_dir(w) == 'out_to' then
			move(me(), 'Снаружи станции');
		elseif mp:compass_dir(w) == 'u_to' then
			move(me(), 'На крыше');
		else
			p 'Чтобы куда-то идти, надо сначала выбраться из вездехода наружу.';
		end;
	end;
	before_Drive = function(s, w)
		if mp:compass_dir(w) == 'e_to' then
			if q2 == 0 then
				p 'Ближайшая станция на востоке. Но разве я могу оставить купол, там же моя напарница? Все запасы кислорода в малом куполе и немного в вездеходе. Ехать часа три и кислорода на одного в обрез. Могу ли я проявить такое малодушие и сбежать, выжить бросив товарища?';
				q2 = 1;
				return false;
			else
				p 'Я уверенно втопил педаль в пол. Вездеход стронулся с места и покатился набирая скорость. В зеркало я увидел как из станции выбежала Марина. Ещё подумалось, наверное это хорошо, что связь не работает.';
				move(me(), 'Плохая концовка');
			end;
		elseif w^'Малый купол' or w^'Антенна' then
			if rover == 'Вездеход стоит возле большого купола.' then
				p 'Я подогнал вездеход вплотную к малому куполу.';
				rover = 'Вездеход стоит возле малого купола.';
			else
				p 'Я смотрел на стенку купола перед лобовым стеклом и внезапно сумасшедшая идея возникла у меня в голове. Я отъехал назад и вжал педаль в пол на полную.';
				move(me(), 'Одна из хороших концовок');
			end;
		else
			p 'Ближайшая следующая станция на востоке. На запад ехать где-то раза в полтора дальше. Хм, энергии то хватит, а вот кислорода в баллоне вездехода в обрез даже для одного.';
		end;
	end;
};

_'@compass'.before_Default = function()
	if mp.event ~= 'Drive' and mp.event ~= 'Walk' then
		return false;
	end;
end;

obj {
	-"малый купол,купол/но",
	nam = 'Малый купол';
	before_Default = function(s, ev)
		if ev == 'Exam' then
			return false
		end
		p 'Изнутри вездехода я не смогу этого сделать.';
	end;
	description = 'Купол вроде цел, но доступа в него похоже уже нет. Переход разрушен.';
}:attr 'scenery';

obj {
	-"сиденья|кресла";
	nam = 'Сиденья';
	description = 'Спинки могут откидываться и теоретически в кабине можно даже спать. На практике, конечно, мне проверять этого не хочется.';
}:attr 'scenery';

obj {
	-"панель, приборная панель";
	nam = 'Панель';
	description = 'На панели набор обычных приборов: датчик давления, счетчик гейгера, радио, разные индикаторы. Индикатор заряда аккумулятор сейчас показывает 32%, как раз полностью зарядится, когда через пару дней я закончу с образцами на этой точке, и мы поедем дальше к следующей наблюдательной станции. А еще через пару месяцев мы завершим объезд долины Маринера, я вернусь на станцию Кеплер и сдам практику. А дальше диплом, диссертация... Впрочем, не буду загадывать.';
}:attr 'scenery';

obj {
	-"радио, радиопередатчик";
	nam = 'Радио';
	description = 'Радио выключено.';
	before_SwitchOn = function()
		if cablein == 'Кабель соединяет вездеход и антенну.' then
			p 'Я включил радио, нашёл в меню сигнал бедствия. Хм, похоже слишком мало мощности для большой антенны. Я вытащил панель передатчика, покопался немного в проводах и замкнул напрямик. Спустя несколько минут передатчик задымился. Чёрт, надеюсь этого было достаточно.';
			walk 'Самая хорошая концовка';
		else
			p 'Я включил и пощелкал каналами в радио. Только шипение. Впрочем и неудивительно, антенна вездехода годится только для локальной связи.';
		end;
	end;
}:attr 'scenery';

room {
	nam = 'На крыше';
	onenter = function(s)
		if rover == 'Вездеход стоит возле малого купола.' then
			p 'Так как вездеход стоит рядом с куполом, то я могу добраться до антенны дальней связи. В основании антенны есть настроечный порт. Можно попробовать подключить антенну к вездеходу.';
		end;
	end;
	dsc = 'Через люк в пололке я вылез на крышу вездехода. Обычно я залезаю сюда, чтобы смахнуть пыль с солнечных батарей вездехода.';
	obj = {'Антенна', 'Вездеход', 'Солнечные батареи'};
	d_to = 'Внутри вездехода';
};

room {
	nam = 'Внутри большого купола';
	onenter = function(s)
		if visits(s) == 0 then
			p 'Шлюз оказался разблокированным. Давление внутри оказалось равным наружнему. Впрочем мы частенько так оставляли большой купол. Портиться там было нечему, а вот приборы и инструменты часто приходилось таскать туда-сюда.^Едва я успел войти, споткнувшись о моток какого-то кабеля, как на меня набросилась Марина.^-- Дурак! -- Приглушённо закричала она из под маски. -- Я тут с ума схожу, думала ты там внутри был. А ты где-то шатаешься!';
		end;
	end;
	dsc = 'Внутри станции полный погром, всё, ранее аккуратно разложенное по полочкам, размётано по полу. Освещение работает частично. Терминал и регенератор кажется целы. В проходе во второй купол что-то искрит.';
	hint_verbs = { "#Talk" };
	obj = {'Марина', 'Переход', 'Регенератор', 'Терминал', 'Кабель', 'Розетка', 'Аптечка'};
	out_to = 'Снаружи станции';
};

obj {
	-"Марина|девушка";
	nam = 'Марина';
	dsc = 'Рядом со мной стоит Марина.';
	description = 'Моя напарница по практике. Я собираю свои образцы мхов и лишайников, а она измеряет скорость ветра, берет пробы воздуха, измеряет влажность, индекс Тау.. В общем я не сильно в её приборах с вертушками понимаю. За прошедший месяц показала себя надежным, хоть и не сильно разговорчивым товарищем. И вот эта вспышка эмоций меня сильно удивила.';
	talk_to = 'Разговор с Мариной';
	['before_Kiss,Touch'] = 'Марина может сейчас не понять подобного романтического порыва и дать в глаз. Поэтому воздержусь.';
}:attr 'animate';

dlg {
	nam = 'Разговор с Мариной';
	phr = {
		{cond = function(s) return q1 == 1 end, 'Что тут случилось?', '-- Какой-то взрыв. Я думаю метеорит, я как раз возвращалась и была в шлюзе. Проход в малый купол завален. А там весь кислород!',
			{'Что с регенератором?', '-- Работает, я переключила его наполнять запасной баллон здесь. Но все основные запасы кислорода остались в малом куполе. И батареи в малом куполе недоступны. Регенератор сейчас работает только на солнечных батареях, после захода Солнца все остановится..'};
			{'Ты проверяла связь?', '-- Ничего не работает, связи нет. Терминал вроде целый.'};
			{'Вода и пища?', '-- Воды много, в регенераторе. А еда только НЗ в вездеходе наверное.. Как ты можешь думать сейчас о еде?'};
			{'Как с кислородом?', '-- Запасов часов на пять. Потом.. Олег, нам нужно ехать на следующую станцию! Нет, на двоих кислорода не хватит.. Ты поедешь! Ты лучше меня управляешь этим тарантасом. Забирай кислород, а я наемся снотворного и выведу шланг от регенератора себе в маску. Должно хватить! Ты вызовешь помощь, капсула с Фобоса будет тут минут через пятнадцать..',
				{'Хватит, Марина!', function() p 'Я взял за плечо девушку. -- У нас есть еще немного времени, мы что-то придумаем ещё. Регенератора не хватит тебе для дыхания даже во сне, а до соседней станции три часа гнать на максималке.^-- Олежек, спаси нас. Я не хочу тут умирать..'; walkout(); q1 = 2; end;};};};
		{cond = function() return cablein == 'Кабель соединяет купол и вездеход.' end, 'Я подключил вездеход к системам купола, я думаю так мы сможем дотянуть до утра.', '-- Подожди, минутку. Сейчас я подсчитаю.. Да, сможем, но это бессмысленно! Так мы только оттянем нашу неизбежную гибель..',
			{'Мы не вышли сегодня на сеанс связи, если мы не выйдем и завтра, то нас наверняка спохватятся.', function() p '-- Надеюсь ты прав, Олег.'; walk 'Почти хорошая концовка'; end;};};
		{true, 'Я скоро вернусь.', function() p '-- Хорошо, я поищу ещё баллоны, тут кажется был резерв. Может углекислотные поглотители.. Нет, их давно уже не делают.. Иди, я тут сама справлюсь.' walkout(); end;}
	};
};

obj {
	-"проход|переход";
	nam = 'Переход';
	description = 'Я заглянул в проём, туннель намертво перегорожен двумя балками, из пролома в потолке сочится свет. Искрят оборванные провода. Воздуховоды раздроблены. И никаких следов метеорита. Возможно один из ледяных обломков с астероидов "Водяной Программы"? Эти ледышки, пригнанные из пояса астероидов, дробят на орбите направленными взрывами, но иногда некоторые куски получаются слишком крупными и неполностью сгорают в атмосфере. Учитывая населённость Марса -- шансы один на миллион, что такой обломок попадёт в какое-либо строение. Простая невезуха.';
	door_to = 'Внутри вездехода';
	['before_Walk,Enter'] = function(s)
		p 'Проход в малый купол завален.';
	end;
}:attr 'open,scenery';

obj {
	-"оборванные провода,провода";
	nam = 'Оборванные провода';
	description = 'Оборванный кабель валяется на полу среди мусора. В месте обрыва иногда пощёлкивает.';
}:attr 'scenery';

obj {
	-"аптечка";
	nam = 'Аптечка';
	description = 'Стандартная аптечка. Я немного покопался внутри, но не нашёл ничего полезного на данный момент.';
};

obj {
	-"регенератор";
	nam = 'Регенератор';
	description = 'Даже в отсутствии людей на станции регенератор потихоньку жег в водороде углекислый газ из атмосферы Марса получая воду и немного метана. Из воды электролизом получается кислород и водород, который отправляется сразу на повторное использование. А метан отправляется в дополнительный блок пиролиза, из которого на выходе получается нужный водород и ненужный тут графит. На базе Кеплер из него делают смазки и искусственные алмазы, но тут нет такого оборудования.^Сейчас регенератор работает явно не на полную мощность. Солнце уже садится, половина солнечных панелей недоступна, как и батареи в малом куполе. До заката наработает кислорода может еще литров 30-40. Этого нам не хватит даже на час. В баллонах тут тоже почти пусто. До утра мы не дотянем никак.';
}:attr 'scenery';

obj {
	-"терминал";
	nam = 'Терминал';
	description = 'У стены установлен компьютерный терминал, в его стойке есть сервисная розетка. Терминал выключен.';
	before_SwitchOn = function()
		p 'Я включил терминал.';
		walk 'Консоль терминала';
	end;
}:attr 'scenery';

dlg {
	nam = 'Консоль терминала';
	phr = {
		{true, 'Связь.', 'Ошибка, отсутствует подключение к сети.'};
		{true, 'Энергия.', function() 
				if cablein == 'Кабель соединяет купол и вездеход.' then
					p 'Подлючено 11 из 25шт.^Внимание! Обнаружено еще 6 солнечных батарей. Эффективность: 29% от максимальной.^Внимание! Обнаружен дополнительный аккумулятор, заряжен на 32%.^^Так, надо прикинуть... Если не шевелиться или даже уснуть, то до утра должно хватить. А завтра при хорошем освещении регенератор быстро накачает все баллоны. Надо поговорить с Мариной.';
				elseif cablein == 'Кабель соединяет купол и оборванный провод.' then
					p 'Подлючено 11 из 25шт. Эффективность: 22% от максимальной.^Аккумуляторы: Ошибка! Нет данных!^Внимание! Обнаружен нераспознанный источник энергии 12В, 24А.^Ошибка! Обнаружен нераспознанный источник энергии 12В, 10А.^Ошибка!^^Похоже это линия освещения, и судя по всему провод замыкает где-то еще. Толку от неё нуль.';
				else
					p 'Подлючено 11 из 25шт. Эффективность: 22% от максимальной.^Аккумуляторы: Ошибка! Нет данных!';
				end; end;};
		{true, 'Кислород.', 'Регенератор: исправен.^Запас водорода: 83%. Эффективность: 15%^Внимание: недостаточно энергии!'};
		{true, 'Выключить терминал.', function() p 'Я выключил терминал.'; walkout(); end;};
	};
};

obj {
	-"кабель|провод";
	nam = 'Кабель';
	description = function()
		p('Стандарный унифицированный кабель с магнитными разъемами, применяемый как для передачи данных, так и для зарядки разных устройств. Шесть метров. '..cablein);
	end;
	before_Take = function(s)
		if cablein == 'Кабель ни к чему не подлючён.' then
			p 'Я взял кабель.';
		else
			p 'Я отсоединил кабель и смотал его в бухту.';
			cablein = 'Кабель ни к чему не подлючён.';
		end;
		take(s);
	end;
	['before_Insert,Activate'] = function(s,wh)
		if wh^'Вездеход' then
			if cablein == 'Кабель ни к чему не подлючён.' then
				p 'Я подключил кабель к разъему вездехода.';
				drop(s);
				cablein = 'Кабель подключён к вездеходу.';
			elseif cablein == 'Кабель подключён к куполу.' then
				p 'Я подключил второй конец кабеля к разъему вездехода.';
				cablein = 'Кабель соединяет купол и вездеход.';
			elseif cablein == 'Кабель подключён к антенне.' then
				p 'Я подключил второй конец кабеля к разъему вездехода.';
				cablein = 'Кабель соединяет вездеход и антенну.';
			else
				p 'Кабель уже подключен к вездеходу.';
			end;
		elseif wh^'Розетка' or wh^'Станция' then
			if cablein == 'Кабель ни к чему не подлючён.' then
				p 'Я подключил кабель к розетке купола.';
				drop(s);
				cablein = 'Кабель подключён к куполу.';
			elseif cablein == 'Кабель подключён к вездеходу.' then
				p 'Я подключил второй конец кабеля к розетке у шлюза купола.';
				cablein = 'Кабель соединяет купол и вездеход.';
			else
				p 'Кабель уже подключен к розетке.';
			end;
		elseif wh^'Оборванные провода' then
			if cablein == 'Кабель ни к чему не подлючён.' then
				p 'Немного повозившись я смог пристроить оборванный провод к контактам своего кабеля. Главное это не шевелить.';
				drop(s);
				cablein = 'Кабель подключён к оборванному проводу.';
			elseif cablein == 'Кабель подключён к розетке.' then
				p 'Немного повозившись я смог пристроить оборванный провод к контактам своего кабеля. Главное это не шевелить.';
				cablein = 'Кабель соединяет купол и оборванный провод.';
			else
				p 'Кабель уже подключен к оборванному проводу.';
			end;
		elseif wh^'Антенна' and here()^'На крыше' then
			if cablein == 'Кабель ни к чему не подлючён.' then
				p 'Я нашёл в основании антенны служебный разъем и подключил к нему кабель.';
				drop(s);
				cablein = 'Кабель подключён к антенне.';
			elseif cablein == 'Кабель подключён к вездеходу.' then
				p 'Я нашёл в основании антенны служебный разъем и подключил к нему второй конец кабель.';
				cablein = 'Кабель соединяет вездеход и антенну.';
			else
				p 'Кабель уже подключен к антенне.';
			end;
		elseif wh^'Кабель' and cablein == 'Кабель ни к чему не подлючён.' then
			p 'Если замкнуть кабель кольцом, потом обеспечить температуру близкую к нулю, то можно получить замкнутый сверхпроводящий контур. Именно так на Марсе было восстановлено магнитное поле. Правда чем это мне сейчас поможет, совершенно неясно.';
		else
			p 'Тут нет разъёма для подключения.';
		end;
	end;
	before_Deactivate = function(s,wh)
		p 'Я отсоединил кабель и смотал его в бухту.';
		take(s);
		cablein = 'Кабель ни к чему не подлючён.';
	end;
};

Verb {
	"#Deactivate",
	"отключ/ить, отсоеди/нить",
	"{noun}/им,scene : Deactivate",
	"{noun}/им,scene от {noun}/рд,scene : Deactivate",
}

function mp:Deactivate(s,w)
	p 'Не отсоединяется.';
end

Verb {
	"#Activate",
	"подключ/ить, подсоеди/нить",
	"{noun}/им,held к {noun}/дт,scene : Activate",
}

function mp:Activate(s,w)
	p 'Не подсоединяется.';
end

Verb { "#Drive",
	"[ |по]ехать,едь,поеду",
	"на {compass1} : Drive",
	"к {noun}/дт,scene : Drive"}

function mp:Activate(s,w)
	p 'Не подсоединяется.';
end

room {
	nam = 'Плохая концовка';
	dsc = '-- Я думаю вы понимаете, что после вашего поступка вам даже руки никто не подаст на всём Кеплере! -- метал громы и молнии директор НИИОМ Александр Петрович Намура. -- Бросить напарника на аварийной станции без запасов кислорода. Вы подлец, каких ещё поискать... Тьфу! Вот ваш билет на Землю и проваливайте на все четыре стороны. Чтобы духу вашего здесь не было!^^Это одна из концовок игры, как видно не самая лучшая. Может всё-таки попробовать что-то ещё?';
	noparser = true;
};

room {
	nam = 'Почти хорошая концовка';
	dsc = '-- Вы наверное понимаете, что вас могли и не спохватиться? Поломки техники и радио в частности -- дело обыденное. -- ворчал директор НИИОМ Александр Петрович Намура. -- Вам повезло, что один из операторов сейсмолаборатории обратил внимание на толчок и решил найти кратер при помощи спутника, а нашел остатки станции наблюдения. Сколько вы там проторчали? Три дня? Так и сидели бы, пока не закончились запасы пищи. Нельзя быть на Марсе пассивным, думайте головой и используйте руки!^^Это не самая лучшая, но всё-таки хорошая концовка, где все остались живы и здоровы. Поздравляю.';
	noparser = true;
};

room {
	nam = 'Одна из хороших концовок';
	dsc = '-- В куполе пролом размером с вездеход, вездеход сломан, ещё сломано три ребра и челюсть. Я и не подозревал в вас, Олег, столь деструктивных наклонностей. И нечего мне тут мычать! -- ворчал директор НИИОМ Александр Петрович Намура. -- Давайте уже выходите с больничного, вас уже заждались в биолаборатории. Образцы, которые вам как-то, что удивительно, всё-таки удалось сохранить, оказались весьма интересными.^^Это не самая лучшая, но всё-таки хорошая концовка, где все остались живы и почти здоровы. Поздравляю.';
	noparser = true;
};

room {
	nam = 'Самая хорошая концовка';
	dsc = '-- Электроника вездехода сильно пострадала. Ну кто вас учил так обращаться с приборами? -- ворчал директор НИИОМ Александр Петрович Намура. -- Вот вам назначение на курсы электротехников и не спорьте! У вас явно талант, а у нас на Марсе любой талант должен быть развит и поставлен под контроль! А то в следующий раз что-то важное спалите!^^Это самая хорошая концовка, тут все остались живы и здоровы и почти ничего не сломано. Поздравляю.';
	noparser = true;
};

game.hint_verbs = { "#Exam", "#Walk", "#Take", "#Drop", "#Activate", "#Deactivate", "#SwitchOn" }
